<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
   public function up(): void
{
    Schema::table('iot_modes', function (Blueprint $table) {
        // Menambahkan kolom transaction_id setelah kolom book_id
        $table->unsignedBigInteger('transaction_id')->nullable()->after('book_id');
    });
}

public function down(): void
{
    Schema::table('iot_modes', function (Blueprint $table) {
        $table->dropColumn('transaction_id');
    });
}
};

